import java.awt.Color;
import java.awt.Font;

public class TextBackgroundDrawer {

    /**
     * <p>This program draws a canvas with the text "Hello World!"
     * in the center.
     * <p>
     * It receives six command line arguments, the RGB values for the text
     * color and the RGB values for the background color. They should be
     * integers between 0 and 255.
     * </p>
     */
    public static void main(String[] args) {
        Color textColor = new Color(
                Integer.parseInt(args[0]),
                Integer.parseInt(args[1]),
                Integer.parseInt(args[2]));
        Color backgroundColor = new Color(
                Integer.parseInt(args[3]),
                Integer.parseInt(args[4]),
                Integer.parseInt(args[5]));

        StdDraw.setXscale(-1.0, +1.0);
        StdDraw.setYscale(-0.5, +0.5);
        StdDraw.clear(backgroundColor);

        StdDraw.setPenColor(textColor);
        Font font = new Font(Font.MONOSPACED, Font.PLAIN, 32);
        StdDraw.setFont(font);
        StdDraw.text(0, 0, "Hello World!");
    }
}
